package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/db/model"
	zhios_order_relate_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/utils"
	"xorm.io/xorm"
)

func GetMaxPrice(eg *xorm.Engine, uid string, price float64) *model.MallOrdCapitalPoolTotal {
	var data model.MallOrdCapitalPoolTotal
	get, err := eg.Where("uid=? and type=? and other_price<?", uid, 0, price).Get(&data)
	if err != nil {
		return nil
	}
	if get == false {
		data = model.MallOrdCapitalPoolTotal{Uid: zhios_order_relate_utils.StrToInt(uid)}
		eg.Insert(&data)
	}
	return &data
}
